Bug 12304 - новые глюки в etcnet
: новые глюки в etcnet
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/etcnet)
: unstable
: all Linux
: P2 enhancement
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-07-11 17:32 by
Modified: 2008-04-13 13:27 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-07-11 17:32:20
Замечено пару свежих глюков в etcnet.
1. На роутере существет десяток ipip тоннелей. При попытке опустить один из них 
при помощи ipdown выгружается модуль ipip и как следствие падают все поднятые 
на машине тоннели. 
Лечится добавлением в options строчки NEVER_RMMOD=yes (за подсказку большой 
респект hiddenman :))
Предалгается использовать эту опцию по умолчанию в следующих билдах etcnet.
2. efw не понимает в своих правилах адреса, оканчивающиеся на .net.
На правило:
snat-to 195.248.176.38 if from 192.168.1.58 to alkar.net
Получаю ответ:
ERROR: /sbin/efw: /sbin/iptables -t nat -A POSTROUTING -j SNAT --to-source 
195.248.176.38 --src 192.168.1.58 --dst alkar.
................
Т.е. net воспринимается как служебная команда. Я понимаю, что использовать 
запись dns в правилах, это моветон и лучше пользоваться переменными для этих 
целей, но все же.
------- Comment #1 From 2007-07-12 12:11:42 -------
И в продолжение темы ip тоннелей:
не дружат в etcnet фаервол и ipip тоннели. В syntax не описан протокол ipencap.
Решается добавлением в этот файл строки: ipencap: --protocol ipencap.
Да и с построением правил не совсем понятно. Запретить легко:
drop ipencap from any
а вот разрешить определенному хосту построить тоннель не получается. Банального 
allow не хватает. Вот и не понятно баг это или мое непонимание.
------- Comment #2 From 2007-07-15 16:12:52 -------
1. наверное, уже пора по умолчанию иметь NEVER_RMMOD=yes, ведь ядра 2.6 кругом
2. тут нужно Андрею посмотреть
------- Comment #3 From 2007-10-06 23:04:56 -------
> 1. наверное, уже пора по умолчанию иметь NEVER_RMMOD=yes, ведь ядра 2.6 кругом
Committed revision 1158.

Ожидайте в 0.9.4
------- Comment #4 From 2008-04-13 04:01:28 -------
Давно исправлено.
------- Comment #5 From 2008-04-13 13:27:52 -------
ack